purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Sugar.AdoNotation

Description

This module implements the desugaring pass which replaces ado-notation statements with appropriate calls to pure and apply.

Synopsis

- desugarAdoModule :: (MonadSupply m, MonadError MultipleErrors m) => Module -> m Module

# Documentation

desugarAdoModule :: (MonadSupply m, MonadError MultipleErrors m) => Module -> m Module #

Replace all `AdoNotationBind` and `AdoNotationValue` constructors with applications of the pure and apply functions in scope, and all `AdoNotationLet` constructors with let expressions.